GSM0710MUXD(8)

NAME
gsm0710muxd - a gsm 07.10 muxer

SYNOPSIS
gsm0710muxd [options]

DESCRIPTION
A gsm muxer is needed to keep a ppp/gprs up & running while sms and calls are still signaled on another channel. Some modems even support using gprs while a call is active, others suspend gprs during calls. The muxer supports various options to change the behaviour for different modems. Use -h to see a brief help screen. All logging is done through syslog, see the syslog for errors and warnings.

COMMAND-LINE OPTIONS

-d  Fork, get a daemon (default: no)

-v  Verboser logging (give twice for even more verbose)

-s <serial port name>
    Serial port device to connect to (default: /dev/modem)

-t <timeout>
    reset modem after this number of seconds of silence (default: 0)

-P <pin-code>
    PIN code to unlock SIM (default: <not set>). This is normally not needed but some modems need the pin before enabling the muxer mode.

-p <number>
    use ping and reset modem after this number of unanswered pings (default: 0)

-l <filename>
    set logfile name (default: <not set>)

-x <dir>
    power managment base dir (default: <not set>)

-a <mode>
    additional_functionality (default: 0). This is a bit-set enabling quirks for different modem. The quirks are: WAKEUP_WITH_SYSFS = 1, WAKEUP_WITH_SEQUENCE = 2, SIEMENS_C35 = 4, ENFORA = 8, SHORT_INIT = 16.

-b <baudrate>
    muxer-mode baudrate (default: 115200)

-B <baudrate>
    serial port baudrate (default: 115200)

-m <mode>
    Mode (basic, advanced) (default: advanced)

-f <framsize>
    Frame size (default: 64)

-h  Show a help message and display current settings.

HISTORY
The name 'gsm0710muxd' was choosen because the gsm specs describe this method in document 7.10.

BUGS/LIMITATIONS
gsm0710muxd There may accure bufferoverruns and thus missing data between muxer and client under certain situations. Some settings could be determined by a AT-command at startup. This wouldn't be much reliable because modems often lie so i did not invest to much work in this.

AUTHOR
M. Dietrich <mdt@pyneo.org>

SEE ALSO
ptsname(3)